View Issue Details

IDProjectCategoryView StatusLast Update
0001760NoesisGUIC++ SDKpublic2020-09-17 11:08
ReporternikobarliAssigned Tosfernandez 
PrioritynormalSeverityblockReproducibilityalways
Status resolvedResolutionfixed 
Product Version2.2.6 
Target Version3.0.5Fixed in Version3.0.5 
Summary0001760: [TSF] When used in tablet, tapping any part of the window makes keyboard appear
DescriptionWhen used in tablet, tapping any part of the window (not only text boxes and password boxes) makes touch keyboard appears.

Steps To ReproduceCreate any XAML (<grid background="white"></grid> is sufficient). Tap on any part of it -> touch keyboard appears

It seems that TSF still considered it is focusing on a document even after gThreadMgr->SetFocus(gDisabledDocumentMgr) is called.
gDisabledDocumentMgr seems not considered disabled.
TagsNo tags attached.
PlatformAny

Activities

sfernandez

sfernandez

2020-08-25 10:25

manager   ~0006591

I wanted to take a look on this and want to make sure I have all the information. Is this happening when using a windows device with our TSF implementation, right?
What kind of device are you using? I don't have now a touch enabled device with windows around and might need to buy one.
Or is this possible to reproduce by manually injecting touch events to the view?
nikobarli

nikobarli

2020-08-27 08:43

reporter   ~0006592

Hi Sergio,

Yes, it is happening when using a windows device with the TSF implementation.
You can use a touch screen to reproduce it. Just attach a touch screen monitor to your windows PC, and touch on any Noesis application window with TSF enabled.
nikobarli

nikobarli

2020-08-27 08:54

reporter   ~0006593

Another way to reproduce the problem is using your iPad or Android tablets, and use Microsoft RDP client to RDP to your windows PC. Then run Noesis application on your windows PC and operate from the iOS/Android tablet.
sfernandez

sfernandez

2020-08-27 12:23

manager   ~0006594

Thanks for the tip, unfortunately I installed Microsoft RDP on my Android phone and I'm not able to reproduce the problem.

Could you please enable trace logging in TSF.ccp (uncomment first two define lines) and attach here the logs generated until touch keyboard appears, I want to follow which events are happening in that case.

Thanks for your help.
nikobarli

nikobarli

2020-08-27 14:24

reporter   ~0006596

Hi, here is the logs:

[NOESIS][] MoveWindow(hWnd=0000000000A51F4A) (G:\Athene_Noesis3.0\libz\Noesis\Native\Src\Packages\App\Win32Display\Src\TSF.cpp:1551)
NoesisUtil::ZUIImpl::Render: Render() took 30 ms
[NOESIS][] ActivateWindow(hWnd=0000000000A51F4A) (G:\Athene_Noesis3.0\libz\Noesis\Native\Src\Packages\App\Win32Display\Src\TSF.cpp:1529)
[NOESIS][] MoveWindow(hWnd=0000000000A51F4A) (G:\Athene_Noesis3.0\libz\Noesis\Native\Src\Packages\App\Win32Display\Src\TSF.cpp:1551)
[NOESIS][] MoveWindow(hWnd=00000000000617F0) (G:\Athene_Noesis3.0\libz\Noesis\Native\Src\Packages\App\Win32Display\Src\TSF.cpp:1551)
[NOESIS][] DeactivateWindow(hWnd=0000000000A51F4A) (G:\Athene_Noesis3.0\libz\Noesis\Native\Src\Packages\App\Win32Display\Src\TSF.cpp:1543)
[NOESIS][] ActivateWindow(hWnd=00000000000617F0) (G:\Athene_Noesis3.0\libz\Noesis\Native\Src\Packages\App\Win32Display\Src\TSF.cpp:1529)
[NOESIS][] MoveWindow(hWnd=00000000000617F0) (G:\Athene_Noesis3.0\libz\Noesis\Native\Src\Packages\App\Win32Display\Src\TSF.cpp:1551)

Note that it doesn't reproduce if you tap at buttons. I tap at an empty grid to reproduce it.
Please check the video here (the touch keyboard appears at the end of the video) : https://drive.google.com/file/d/1hUE7mTo8g-Mywg9GurF1dVeMliilz7Oc/view?usp=sharing
sfernandez

sfernandez

2020-09-03 10:52

manager   ~0006613

One more question, is this only happening when you spawn new windows on the same application? I mean, if you try it with a single window application like our samples does the virtual keyboard also appear when clicking anywhere in the window?
nikobarli

nikobarli

2020-09-05 06:09

reporter   ~0006616

Yes, I tried with your RSS Reader sample app. It happens as well.
Please see the video here: https://drive.google.com/file/d/1Wx_ZGwsgYeKHlkML34bSHgOBALAyflkp/view?usp=sharing
sfernandez

sfernandez

2020-09-14 14:09

manager   ~0006629

I may have found a way to solve this and did some changes to TSF code.
Could you please give a try with the attached file and verify this is fixed and IME works as it should?
sfernandez

sfernandez

2020-09-14 14:09

manager  

TSF.cpp (41,944 bytes)
nikobarli

nikobarli

2020-09-15 07:10

reporter   ~0006630

Last edited: 2020-09-15 07:11

View 2 revisions

Hi Sergio,

Yes, it seems to work fine !
Japanese input is working as before, and the problem I reported here disappeared.

Thank you.

Issue History

Date Modified Username Field Change
2020-07-27 03:53 nikobarli New Issue
2020-07-27 11:55 sfernandez Assigned To => sfernandez
2020-07-27 11:55 sfernandez Status new => assigned
2020-07-27 11:55 sfernandez Target Version => 3.0.4
2020-08-02 10:56 jsantos Target Version 3.0.4 => 3.0.5
2020-08-25 10:25 sfernandez Status assigned => feedback
2020-08-25 10:25 sfernandez Note Added: 0006591
2020-08-27 08:43 nikobarli Note Added: 0006592
2020-08-27 08:43 nikobarli Status feedback => assigned
2020-08-27 08:54 nikobarli Note Added: 0006593
2020-08-27 12:23 sfernandez Status assigned => feedback
2020-08-27 12:23 sfernandez Note Added: 0006594
2020-08-27 14:24 nikobarli Note Added: 0006596
2020-08-27 14:24 nikobarli Status feedback => assigned
2020-09-03 10:52 sfernandez Status assigned => feedback
2020-09-03 10:52 sfernandez Note Added: 0006613
2020-09-05 06:09 nikobarli Note Added: 0006616
2020-09-05 06:09 nikobarli Status feedback => assigned
2020-09-14 14:09 sfernandez Status assigned => feedback
2020-09-14 14:09 sfernandez Note Added: 0006629
2020-09-14 14:09 sfernandez File Added: TSF.cpp
2020-09-15 07:10 nikobarli Note Added: 0006630
2020-09-15 07:10 nikobarli Status feedback => assigned
2020-09-15 07:11 nikobarli Note Edited: 0006630 View Revisions
2020-09-17 11:08 sfernandez Status assigned => resolved
2020-09-17 11:08 sfernandez Resolution open => fixed
2020-09-17 11:08 sfernandez Fixed in Version => 3.0.5